commit:     1b6d257fa26de30ac47421443a8eb1aea6ab4453
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 27 13:18:23 2019 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Feb 27 16:30:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b6d257f

media-tv/v4l-utils: Add opengl useflag

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 media-tv/v4l-utils/v4l-utils-1.16.3.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/media-tv/v4l-utils/v4l-utils-1.16.3.ebuild 
b/media-tv/v4l-utils/v4l-utils-1.16.3.ebuild
index ebf0e836501..8c1466e3ee7 100644
--- a/media-tv/v4l-utils/v4l-utils-1.16.3.ebuild
+++ b/media-tv/v4l-utils/v4l-utils-1.16.3.ebuild
@@ -11,14 +11,13 @@ 
SRC_URI="http://linuxtv.org/downloads/v4l-utils/${P}.tar.bz2";
 LICENSE="GPL-2+ LGPL-2.1+"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
-IUSE="qt5"
+IUSE="opengl qt5"
 
 RDEPEND=">=media-libs/libv4l-${PV}[jpeg]
        qt5? (
                dev-qt/qtcore:5
                dev-qt/qtgui:5
-               dev-qt/qtopengl:5
-               virtual/opengl
+               opengl? ( dev-qt/qtopengl:5[-gles2(-)] virtual/opengl )
                media-libs/alsa-lib
        )
        virtual/libudev
@@ -39,6 +38,9 @@ src_configure() {
                        UIC="$(pkg-config --variable=host_bins Qt5Core)/uic" \
                        RCC="$(pkg-config --variable=host_bins Qt5Core)/rcc" \
                )
+               if use !opengl; then
+                       sed -e 's/Qt5OpenGL/DiSaBlEd/g' -i configure || die
+               fi
        fi
        # Hard disable the flags that apply only to the libs.
        econf \

Reply via email to